Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 337583 - kde-base/system-config-printer-kde-4.6.2 fails to build
Summary: kde-base/system-config-printer-kde-4.6.2 fails to build
Status: RESOLVED DUPLICATE of bug 374579
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] KDE (show other bugs)
Hardware: All Linux
: High normal with 2 votes (vote)
Assignee: Gentoo KDE team
URL:
Whiteboard:
Keywords:
: 376951 (view as bug list)
Depends on: 371292
Blocks:
  Show dependency tree
 
Reported: 2010-09-16 05:49 UTC by georgi
Modified: 2011-09-08 17:02 UTC (History)
15 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,8.78 KB, text/plain)
2011-06-26 16:45 UTC, Dennis Schridde
Details

Note You need to log in before you can comment on or make changes to this bug.
Description georgi 2010-09-16 05:49:48 UTC
It might be relevant that I had to emerge dev-python/pycups with python2.6, because it would not build with 3.1.


>>> Emerging (1 of 1) kde-base/system-config-printer-kde-4.5.1
 * kdeadmin-4.5.1.tar.bz2 RMD160 SHA1 SHA256 size ;-) ...                [ ok ]
 * checking ebuild checksums ;-) ...                                     [ ok ]
 * checking auxfile checksums ;-) ...                                    [ ok ]
 * checking miscfile checksums ;-) ...                                   [ ok ]
 * CPV:  kde-base/system-config-printer-kde-4.5.1
 * REPO: gentoo
 * Maintainer: kde@gentoo.org
 * USE:  amd64 elibc_glibc kernel_linux multilib userland_GNU
>>> Unpacking source...
 * Unpacking parts of kdeadmin-4.5.1.tar.bz2 to /tmp/portage/kde-base/system-config-printer-kde-4.5.1/work ...   [ ok ]
>>> Source unpacked in /tmp/portage/kde-base/system-config-printer-kde-4.5.1/work
>>> Preparing source in /tmp/portage/kde-base/system-config-printer-kde-4.5.1/work/system-config-printer-kde-4.5.1 ...
>>> Source prepared.
>>> Configuring source in /tmp/portage/kde-base/system-config-printer-kde-4.5.1/work/system-config-printer-kde-4.5.1 ...
>>> Working in BUILD_DIR: "/tmp/portage/kde-base/system-config-printer-kde-4.5.1/work/system-config-printer-kde-4.5.1_build"
cmake -C /tmp/portage/kde-base/system-config-printer-kde-4.5.1/temp/gentoo_common_config.cmake -DCMAKE_INSTALL_PREFIX=/usr -DKDE4_BUILD_TESTS=OFF -DCMAKE_INSTALL_PREFIX=/usr -DSYSCONF_INSTALL_DIR=/etc -DCMAKE_BUILD_TYPE=Gentoo -DCMAKE_INSTALL_DO_STRIP=OFF -DCMAKE_USER_MAKE_RULES_OVERRIDE=/tmp/portage/kde-base/system-config-printer-kde-4.5.1/temp/gentoo_rules.cmake  /tmp/portage/kde-base/system-config-printer-kde-4.5.1/work/system-config-printer-kde-4.5.1
loading initial cache file /tmp/portage/kde-base/system-config-printer-kde-4.5.1/temp/gentoo_common_config.cmake
-- The C compiler identification is GNU
-- The CXX compiler identification is GNU
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc
-- Check for working C compiler: /usr/bin/x86_64-pc-linux-gnu-gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++
-- Check for working CXX compiler: /usr/bin/x86_64-pc-linux-gnu-g++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.6.3 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so
-- Looking for XOpenDisplay in /usr/lib64/libX11.so;/usr/lib64/libXext.so;/usr/lib64/libXft.so;/usr/lib64/libXau.so;/usr/lib64/libXdmcp.so;/usr/lib64/libXpm.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib64/libX11.so
-- Looking for include files CMAKE_HAVE_PTHREAD_H
-- Looking for include files CMAKE_HAVE_PTHREAD_H - found
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE 
-- Looking for _POSIX_TIMERS
-- Looking for _POSIX_TIMERS - found
-- Found Automoc4: /usr/bin/automoc4 
-- Found Perl: /usr/bin/perl 
-- Found Phonon: /usr/include  (found version "4.4.2", required is "4.3.80")
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.5 include dir: /usr/include
-- Found KDE 4.5 library dir: /usr/lib64
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Found PythonInterp: /usr/bin/python 
-- Found Python executable: /usr/bin/python
-- Found Python version: 2.6.5
-- Found Python library: /usr/lib64/libpython2.6.so
-- Found SIP version: 4.11.1
-- Found PyQt4 version: 4.7.6
Traceback (most recent call last):
  File "/usr/share/apps/cmake/modules/FindPyKDE4.py", line 8, in <module>
    import PyKDE4.pykdeconfig
ImportError: No module named PyKDE4.pykdeconfig
-- Found PyCups
-- Found System Config Printer

-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
-----------------------------------------------------------------------------
   * PyKDE4  <http://websvn.kde.org/trunk/KDE/kdebindings/python/pykde4/>
     PyKDE4 was not found.  It is needed by system-config-printer-kde to run.  (Use -DINSTALL_SYSTEM_CONFIG_PRINTER=TRUE to install anyway)

-----------------------------------------------------------------------------

-- <<< Gentoo configuration >>>
Build type      Gentoo
Install path    /usr
Compiler flags:
C               -march=core2 -O2 -pipe  -Wno-long-long -std=iso9899:1990 -Wundef -Wcast-align -Werror-implicit-function-declaration -Wchar-subscripts -Wall -W -Wpointer-arith -Wwrite-strings -Wformat-security -Wmissing-format-attribute -fno-common
C++             -march=core2 -O2 -pipe  -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -fvisibility-inlines-hidden
Linker flags:
Executable      -Wl,--enable-new-dtags -Wl,-O1 -Wl,--as-needed
Module          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed
Shared          -Wl,--enable-new-dtags -Wl,--fatal-warnings -Wl,--no-undefined -lc -Wl,-O1 -Wl,--as-needed

-- Configuring done
-- Generating done
-- Build files have been written to: /tmp/portage/kde-base/system-config-printer-kde-4.5.1/work/system-config-printer-kde-4.5.1_build
>>> Source configured.
>>> Compiling source in /tmp/portage/kde-base/system-config-printer-kde-4.5.1/work/system-config-printer-kde-4.5.1 ...
>>> Working in BUILD_DIR: "/tmp/portage/kde-base/system-config-printer-kde-4.5.1/work/system-config-printer-kde-4.5.1_build"
make -j2 
>>> Source compiled.
>>> Test phase [not enabled]: kde-base/system-config-printer-kde-4.5.1

>>> Install system-config-printer-kde-4.5.1 into /tmp/portage/kde-base/system-config-printer-kde-4.5.1/image/ category kde-base
>>> Working in BUILD_DIR: "/tmp/portage/kde-base/system-config-printer-kde-4.5.1/work/system-config-printer-kde-4.5.1_build"
make -j2 DESTDIR=/tmp/portage/kde-base/system-config-printer-kde-4.5.1/image/ install 
make: *** No rule to make target `install'.  Stop.
emake failed
 * ERROR: kde-base/system-config-printer-kde-4.5.1 failed:
 *   died running make install, base_src_install
 * 
 * Call stack:
 *     ebuild.sh, line   56:  Called src_install
 *   environment, line 6377:  Called kde4-meta_src_install
 *   environment, line 4020:  Called kde4-base_src_install
 *   environment, line 3631:  Called cmake-utils_src_install
 *   environment, line 1763:  Called _execute_optionaly 'src_install'
 *   environment, line  645:  Called enable_cmake-utils_src_install
 *   environment, line 2190:  Called base_src_install
 *   environment, line 1403:  Called die
 * The specific snippet of code:
 *       emake DESTDIR="${D}" "$@" install || die "died running make install, $FUNCNAME";
 * 
 * If you need support, post the output of 'emerge --info =kde-base/system-config-printer-kde-4.5.1',
 * the complete build log and the output of 'emerge -pqv =kde-base/system-config-printer-kde-4.5.1'.
 * The complete build log is located at '/tmp/portage/kde-base/system-config-printer-kde-4.5.1/temp/build.log'.
 * The ebuild environment file is located at '/tmp/portage/kde-base/system-config-printer-kde-4.5.1/temp/environment'.
 * S: '/tmp/portage/kde-base/system-config-printer-kde-4.5.1/work/system-config-printer-kde-4.5.1'


Portage 2.1.9.5 (default/linux/amd64/10.0, gcc-4.4.4, glibc-2.12.1-r1, 2.6.35-gentoo-r5 x86_64)
=================================================================
System uname: Linux-2.6.35-gentoo-r5-x86_64-Intel-R-_Core-TM-2_CPU_6700_@_2.66GHz-with-gentoo-2.0.1
Timestamp of tree: Mon, 13 Sep 2010 19:30:01 +0000
app-shells/bash:     4.1_p7
dev-java/java-config: 2.1.11
dev-lang/python:     2.6.5-r3, 3.1.2-r4
dev-util/cmake:      2.8.1-r2
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.6.3
sys-apps/sandbox:    2.3-r1
sys-devel/autoconf:  2.13, 2.67
sys-devel/automake:  1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.1
sys-devel/binutils:  2.20.1-r1
sys-devel/gcc:       4.4.4-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.10
sys-devel/make:      3.81-r2
virtual/os-headers:  2.6.35 (sys-kernel/linux-headers)
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA AdobeFlash-10.1 PUEL skype-eula"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/X11/xkb /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -O2 -pipe"
DISTDIR="/tmp"
EMERGE_DEFAULT_OPTS="--nospinner --with-bdeps y --alphabetical"
FEATURES="assume-digests distlocks fixlafiles fixpackages news protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch userpriv usersandbox"
GENTOO_MIRRORS="http://distfiles.gentoo.org"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
LINGUAS="en"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/oss-overlay"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="X a52 aac accessibility acpi adns aesicm akonadi alisp alsa amd64 amr amrnb amrwb archive assistant asyncns audiofile ayatana bash-completion bios bluetooth boost branding bzip2 cairo calendar captury cdda cdinstall cdio celt cgraph chm cli consolekit context cracklib crypt css cups curl cxx cyrillic dbus dhcp dia dirac djbfft djvu doc dri dts dvd dvdr dvdread dvipdfm dynamic eap-tls ebook embedded emovix encode exif extra extrafilters extras faac faad fam fame fbcondecor ffmpeg fftw firefox fits flac fluidsynth fontconfig fontforge fpx fts3 games gcrypt gd gdbm gif gimp git glib gnuplot gnutls gpg graphics graphviz gs gtk hdri hpn htmlhandbook http humanities hyperestraier ical iconv icu id3tag idea idn imagemagick inkjar inotify ithreads jabber jadetex java java6 javascript jbig jce jingle joystick jpeg jpeg2k jsapi kde kig-scripting kipi konqueror kpathsea ktts ladspa lame latex latex3 lcdfilter lcms libass libedit libffi libgcrypt libnotify libssh2 libtiger libwww lm_sensors lzma lzo mad matroska mbrola mem-scramble mercurial mjpeg mmap mmx mmxext mng mod modplug modules mp3 mp4 mpeg mtp mudflap multilib multimedia musepack music ncurses network network-cron nls nptl nptlonly nsplugin nspluginwrapper nuv odbc offensive ogg omega openal openexr opengl openmp optimized-qmake oscar pam pango paste64 pcre pdf pg-intdatetime phonon pic plasma plotutils png policykit postgres postproc ppds pppd projectm pstricks pth publishers pulseaudio python python3 qemu qt3support qt4 qtscript quicktime rdesktop readline realtime reflection rle rss rtmp rtsp sasl scanner schroedinger science sdl sdl-image secure-delete semantic-desktop session sip sipim slang smp sndfile sound soundtouch speex spell sql sqlite sqlite3 srtp sse sse2 sse3 ssl ssse3 startup-notification stats stream subversion svg symlink sysfs system-sqlite taglib theora threads tidy tiff toolbar truetype udev unicode usb utempter vaapi vamp vcd vde vdpau video vlc vlm vnc vorbis vorbis-psy vpx wav wavpack webkit wideband wmf x264 xcb xcomposite xetex xforms xml xmlpatterns xmp xorg xscreensaver xulrunner xv xvid xvmc zip zlib zrtp" ALSA_CARDS="virtuoso" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CAMERAS="none" ELIBC="glibc" INPUT_DEVICES="evdev keyboard mouse" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en" RUBY_TARGETS="ruby18" SANE_BACKENDS="epson2" USERLAND="GNU" VIDEO_CARDS="nvidia" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Frossie 2010-09-19 23:40:01 UTC
     
I have the same problem, but unlike the OP my pycups was built successfully with 3.1 so that might be a red herring.

When I say "the same problem" I mean

(a) system-config-printer-kde-4.5.1 fails to build

(b) it complains about PyKDE4 not being found, however what I assume to be the relevant package is installed:

*  kde-base/pykde4
      Latest version available: 4.5.1-r1
      Latest version installed: 4.5.1-r1


Comment 2 Pacho Ramos gentoo-dev 2010-09-20 08:53:54 UTC
This is not an amd64 arch team problem, please let maintainer CC us if really needed ;-)
Comment 3 Frossie 2010-10-01 06:28:43 UTC
> 
> (a) system-config-printer-kde-4.5.1 fails to build
> 
> (b) it complains about PyKDE4 not being found, however what I assume to be the
> relevant package is installed:
> 
> *  kde-base/pykde4
>       Latest version available: 4.5.1-r1
>       Latest version installed: 4.5.1-r1
> 

Okay, I figured this out (it sure would have helped if I knew anything about python)

Despite the fact that I was running python 3.1

# eselect python list
Available Python interpreters:
  [1]   python2.6
  [2]   python3.1 *

(and had run python-updated and everything), for some reason the  system-config-printer-kde actually seemed to be running under 2.6? The cause of the error:

Traceback (most recent call last):
  File "/usr/share/apps/cmake/modules/FindPyKDE4.py", line 8, in <module>
    import PyKDE4.pykdeconfig
ImportError: No module named PyKDE4.pykdeconfig


was that PyKDE4.pykdeconfig was there alright:

/usr/lib64/python3.1/site-packages/PyKDE4/pykdeconfig.py

but it didn't matter, because it wanted it to be in:

/usr/lib64/python2.6/site-packages/PyKDE4/pykdeconfig.py

I copied it in by hand and it worked. I realise this is obviously sub-optimal, I'll leave it to those who understand it to propose an actual fix.


Comment 4 georgi 2010-10-01 06:56:40 UTC
Following your advice I re-emerged pykde4 and checked to see that I indeed had the file /usr/lib64/python3.1/site-packages/PyKDE4/pykdeconfig.py on my system.


However, system-config-printer-kde still complains that it can't find it:

Traceback (most recent call last):
  File "/usr/share/apps/cmake/modules/FindPyKDE4.py", line 8, in <module>
    import PyKDE4.pykdeconfig
ImportError: No module named PyKDE4.pykdeconfig
-- Found PyCups
-- Found System Config Printer

-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
-----------------------------------------------------------------------------
   * PyKDE4  <http://websvn.kde.org/trunk/KDE/kdebindings/python/pykde4/>
     PyKDE4 was not found.  It is needed by system-config-printer-kde to run.  (Use -DINSTALL_SYSTEM_CONFIG_PRINTER=TRUE to install anyway)

-----------------------------------------------------------------------------


Furthermore I can do this:

Python 3.1.2 (release31-maint, Aug 29 2010, 04:08:58) 
[GCC 4.4.4] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import PyKDE4.pykdeconfig
>>> 

And it works.
Comment 5 georgi 2010-10-01 07:09:25 UTC
Sorry, I completely misread your post. It is looking for 2.6, not 3.1.

I copied the file manually from 3.1 to 2.6, but that didn't help, python2.6 still wouldn't find it.

Here's how it worked:

eselect python set python2.6
emerge -1 PyKDE4
eselect python set python3.1
emerge -1 system-config-printer-kde

Apparently system-config-printer-kde ignores the python setting and always uses 2.6.
Comment 6 Frossie 2010-10-01 07:16:00 UTC
(In reply to comment #5)
> Sorry, I completely misread your post. It is looking for 2.6, not 3.1.

Yeah exactly.

> I copied the file manually from 3.1 to 2.6, but that didn't help, python2.6
> still wouldn't find it.

I copied the whole directory:

cp /usr/lib64/python3.1/site-packages/PyKDE4 /usr/lib64/python2.6/site-packages/

just by analogy of how I would have expected it to work in perl :-)

> Here's how it worked:
> 
> eselect python set python2.6
> emerge -1 PyKDE4
> eselect python set python3.1
> emerge -1 system-config-printer-kde

Okay, that works too, clearly

> Apparently system-config-printer-kde ignores the python setting and always uses 2.6.

Yup, that's definitely the problem, hopefully somebody from the KDE or python herd can pick this up and figure out the real fix.


Comment 7 Maciej Mrozowski gentoo-dev 2010-10-04 00:49:28 UTC
Well, what can i say.. python.eclass doesn't support USE deps so that we can't force pykde-4.5 build against python-2.6 by the means of ebuild dependencies (and pykde4 alone builds fine against python-3.1).
Comment 8 georgi 2010-10-04 05:19:26 UTC
Even if it were possible, that would prevent KDE printer configuration from working if the default were anything other than 2.6. I think the proper way to go is to make system-config-printer-kde look for python dependencies under 3.1's site-packages.
Comment 9 Igor Petrov 2010-12-22 12:44:25 UTC
 Yes! I've got the same problem with version 4.5.4. Check it please...
Comment 10 Katagoto 2011-03-05 17:07:40 UTC
We have the same issue with 4.6.1,
we can solve by re-emerging pykde4 with python 2.7
Comment 11 Dillon 2011-03-17 23:36:33 UTC
(In reply to comment #10)
> We have the same issue with 4.6.1,
> we can solve by re-emerging pykde4 with python 2.7
I had a similar issue with 4.6.1, I solved it by "eselect python set python3.1 and emerge -v1 pycups; emerge -1v system-config-printer-kde; eselect python set python2.6"
Comment 12 Andreas K. Hüttel gentoo-dev 2011-04-17 20:52:03 UTC
(In reply to comment #8)
> Even if it were possible, that would prevent KDE printer configuration from
> working if the default were anything other than 2.6. I think the proper way to
> go is to make system-config-printer-kde look for python dependencies under
> 3.1's site-packages.

That would unfortunately not help since pycups does not support Python 3.

Basically we would need to ensure that for each python version the entire dependency chain is present. As opposed to, e.g., ruby-ng eclass, where this can be solved with autogenerated useflags, that is afaik just not possible with python at the moment. 

Sorry, but as Maciej already pointed out, there's not much that the kde team can do here. Maybe the python guys know more.
Comment 13 Vande Vonder Andre 2011-04-21 20:02:22 UTC
I jsut install kde-4.6.2. Same problem with this package.

-- Found PyQt4 version: 4.8.3
Traceback (most recent call last):
  File "/usr/share/apps/cmake/modules/FindPyKDE4.py", line 8, in <module>
    import PyKDE4.pykdeconfig
ImportError: No module named PyKDE4.pykdeconfig

and

make -j9 -l9 DESTDIR=/var/tmp/portage/kde-base/system-config-printer-kde-4.6.2/image/ install 
make: *** Pas de règle pour fabriquer la cible « install ». Arrêt.
-- No rules to make install ----

I remove "cups" flags for kdeadmin-meta to no install it.
Comment 14 Joshua S 2011-06-10 01:50:37 UTC
Problem exists trying to upgrade to KDE 4.6.3

> eselect python set python2.6
> emerge -1 pykde4
> eselect python set python3.1
resume emerge kde-meta

worked for me.
Comment 15 september 2011-06-11 22:34:05 UTC
(In reply to comment #14)
> Problem exists trying to upgrade to KDE 4.6.3
> 
> > eselect python set python2.6
> > emerge -1 pykde4
> > eselect python set python3.1
> resume emerge kde-meta
> 
> worked for me.

+1 Problem exists on KDE 4.6.3
Use your instruction as temporary solution.
Comment 16 Arfrever Frehtes Taifersar Arahesis (RETIRED) gentoo-dev 2011-06-12 18:28:22 UTC
The correct solution is to add support for installation for multiple Python ABIs in kde-base/pykde4.
Comment 17 darkbasic 2011-06-17 10:04:56 UTC
I have the same problem with kde-base/system-config-printer-kde-4.6.4. I installed it flawlessly, but then I did an emerge -ave @world and it doesn't want to build anymore :(
Main active version of python is 2.7.
Comment 18 404 Error 2011-06-23 10:48:23 UTC
Exactly the same here with the exact same message (Python 2.7 used). Found a fix suggestion there:

http://bugsfiles.kde.org/attachment.cgi?id=33324

I am an occasional Python programmer, I don't have a precise idea of what the impacts of this change would be. Applying it on my machine makes the problem disappear.
Comment 19 404 Error 2011-06-23 11:21:07 UTC
ooops forget the "exact same error message" in my comment above, I didn't pay enough attention to a details. My error message was:

-- Found Python library: /usr/lib64/libpython2.7.so
-- Found SIP version: 4.12.3
-- Found PyQt4 version: 4.8.4
Traceback (most recent call last):
  File "/usr/share/apps/cmake/modules/FindPyKDE4.py", line 8, in <module>
    import PyKDE4.pykdeconfig
  File "/usr/lib64/python2.7/site-packages/PyKDE4/__init__.py", line 1, in <module>
    import sys,DLFCN
ImportError: No module named DLFCN
-- Found PyCups
-- Found System Config Printer

-----------------------------------------------------------------------------
-- The following OPTIONAL packages could NOT be located on your system.
-- Consider installing them to enable more features from this software.
-----------------------------------------------------------------------------
   * PyKDE4  <http://websvn.kde.org/trunk/KDE/kdebindings/python/pykde4/>
     PyKDE4 was not found.  It is needed by system-config-printer-kde to run.  (Use -DINSTALL_SYSTEM_CONFIG_PRINTER=TRUE to install anyway)

-----------------------------------------------------------------------------
Comment 20 Dennis Schridde 2011-06-26 16:45:47 UTC
Created attachment 278249 [details]
build.log

Confirming the issue "No rule to make target `install'.  Stop." for kde-base/system-config-printer-kde-4.6.4.
Comment 21 Ed Tomlinson 2011-07-11 13:53:41 UTC
Confirming the issue "No rule to make target `install'.  Stop." for
kde-base/system-config-printer-kde-4.6.5.

These python pseudo dependencies painful!
Comment 22 Maciej Mrozowski gentoo-dev 2011-07-29 14:12:39 UTC
It seems you have updated python via emerge without running python-updater script or something like this.

To workaround this problem:
eselect python set python2.7
emerge -1 PyQt4 pykde4 system-config-printer-kde

(same for printer-applet)

I agree it's silly but python team is already working on providing python ABI dependencies via USE deps that will give us instruments to set dependencies properly.
Comment 23 Maciej Mrozowski gentoo-dev 2011-07-29 15:59:35 UTC
*** Bug 376951 has been marked as a duplicate of this bug. ***
Comment 24 Rafał Mużyło 2011-07-29 17:57:31 UTC
(In reply to comment #23)
> *** Bug 376951 has been marked as a duplicate of this bug. ***

Seems wrong:
import sys,DLFCN
ImportError: No module named DLFCN
is most likely bug 374579 and the fixes are already in the tree.

That the message at the end of emerge looks similar doesn't need to say anything about the actual problem.

On unrelated note: I'd suspect that most of 'import PyKDE4.pykdeconfig' problems are either sip upgrade ones or what arfrever wrote (before he got retired).
Comment 25 Trevor Bowen 2011-07-29 18:40:35 UTC
I am using Linux 3.0.  I tried the recommended fixes:

$ eselect python set python2.7
$ python-updater
$ emerge -1 PyQt4 python pykde4 pycups system-config-printer-kde

And, that did not help.  It produced the same error again.

However, after adding the unstable keyword and re-emerging python, everything worked fine:

$ echo 'dev-lang/python ~amd64' >> /etc/portage/package.keywords/user.keywords
$ emerge -1 python
$ python-updater
$ emerge -1 PyQt4 pykde4 pycups system-config-printer-kde

Thanks for the help!
Comment 26 RedEyedMan 2011-08-22 21:27:31 UTC
I can't compile kde-base/system-config-printer-kde-4.6.5 too on amd64 system with python2.7 and I get same error: 

make -j3 DESTDIR=/var/tmp/portage/kde-base/system-config-printer-kde-4.6.5/image/ install 
make: *** No rule to make target `install'.  Stop.

eselect python set python3.1 && emerge -1 PyQt4 python pykde4 pycups system-config-printer-kde && eselect python set python2.7 is right workaround?
Comment 27 Rafał Mużyło 2011-08-23 04:05:44 UTC
(In reply to comment #26)
> I can't compile kde-base/system-config-printer-kde-4.6.5 too on amd64 system
> with python2.7 and I get same error: 
> 
> make -j3
> DESTDIR=/var/tmp/portage/kde-base/system-config-printer-kde-4.6.5/image/
> install 
> make: *** No rule to make target `install'.  Stop.
> 
> eselect python set python3.1 && emerge -1 PyQt4 python pykde4 pycups
> system-config-printer-kde && eselect python set python2.7 is right workaround?

Don't randomly add "me too"'s to old bugs.
"make: *** No rule to make target `install'.  Stop." isn't the real error anyway - it's most likely somewhere in src_configure phase.
Comment 28 RedEyedMan 2011-08-23 04:51:20 UTC
Bug in ebuild?
Comment 29 Maciej Mrozowski gentoo-dev 2011-08-23 16:59:19 UTC
No, not ebuild bug - unsatisfied python ABI deps bug.
Workaround was already posted in #22 and #25 (in that order).
Comment 30 404 Error 2011-08-23 23:30:28 UTC
The cause can also lie in what has been described in bug #374579 especially if the trouble happens since an upgrade to one of the Linux 3.x kernel series (tested the proposed fixes for bug #374579 and everything works like a charm).
Comment 31 Andreas K. Hüttel gentoo-dev 2011-09-04 17:21:17 UTC
PyKDE should be fixed starting with 4.6.5-r1, which means this problem should not happen anymore...
Comment 32 darkbasic 2011-09-04 18:53:14 UTC
What about 4.7.0?
Comment 33 Andreas K. Hüttel gentoo-dev 2011-09-04 19:27:15 UTC
(In reply to comment #32)
> What about 4.7.0?

Should be fixed too.
Comment 34 darkbasic 2011-09-05 08:59:47 UTC
pykde-4.7.0 does not solve the bug and I still see no 4.7.0-r1
Comment 35 Vasilis Lourdas 2011-09-06 13:04:28 UTC
(In reply to comment #34)
> pykde-4.7.0 does not solve the bug and I still see no 4.7.0-r1

Yes, same here too.
Comment 36 Arfrever Frehtes Taifersar Arahesis 2011-09-06 20:31:19 UTC
kde-base/system-config-printer-kde-4.7.0 builds correctly for me. You most likely reproduce a different problem. Please file a new bug.
Comment 37 Vasilis Lourdas 2011-09-06 20:46:45 UTC
(In reply to comment #36)
> kde-base/system-config-printer-kde-4.7.0 builds correctly for me. You most
> likely reproduce a different problem. Please file a new bug.

Ok, the error I got (ImportError: No module named DLFCN), seems to be related with the kernel 3.0.4 version that I'm running. I emerge ~ python-2.7.2-r2 which includes a fix (bug #374579) and system-config-printer-kde-4.7.0 built fine now.
Comment 38 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2011-09-08 13:25:21 UTC

*** This bug has been marked as a duplicate of bug 374579 ***
Comment 39 Arfrever Frehtes Taifersar Arahesis 2011-09-08 17:02:26 UTC
This bug is not a duplicate of bug #374579. The problem reported in comment #0 has been fixed by the fix for bug #371292.